---
title: Institutional-level report
slug: sync/institutional-level-report
docTags: 
createdAt: 2023-11-16T03:38:15.549Z
---

:::ApiMethodV2
```json
{
  "name": "institution-data",
  "method": "GET",
  "url": "https://api-sandbox.klavi.ai/data/v1/personal/institution-data",
  "description": "Get institution level products by institutionCode and end-user's taxId.\nAfter the end user completes authorization on the bank side, the Klavi backend will send the event to partner's webhook. Then, partners can request the report products  based on the event information through this endpoint.",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "HqmHChrk7scbi-G9nBn2E",
        "language": "curl",
        "code": "curl --location 'https://api-sandbox.klavi.ai/data/v1/personal/institution-data?taxId=String&institutionCode=String&linkId=String&consentIds=String&product=String' \\\n--header 'Authorization: string' \\\n--header 'Accept: application/json' \\\n--header 'Content-Type: application/json'",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "HqmHChrk7scbi-G9nBn2E"
  },
  "results": {
    "languages": [
      {
        "id": "Ouz5x-x9RMkuS4eD5uE4_",
        "language": "200",
        "customLabel": "",
        "code": "{\n    \"code\": 200,\n    \"message\": \"OK\",\n    \"requestId\": \"112334\",\n    \"productName\": \"pf_checking_account\",\n    \"productVersion\": \"V1\",\n    \"productReportId\": \"4b2c1648-231f-11eb-97c4-f45c899f4587\",\n    \"productReportTime\": \"2019-12-23T06:10:43\",\n    \"enquiryCpf\":\"12345678909\",\n    \"links\": [\n        {\n            \"linkId\": \"gPuKXrCJU05J4k\",\n            \"institutionCode\": \"033\",\n            \"consents\": [\n                {\n                    \"consentId\": \"f55c899f-11eb-231f-97c4-4b2c16484587\",\n                    \"permissions\": {\n                        \"REGISTRATION_ALL\": {\n                            \"permissionsGranted\": true,\n                            \"accountIds\": [\n                                \"123456\"\n                            ]\n                        }\n                    }\n                }\n            ]\n        }\n    ],\n    \"checkingAccounts\": [\n        {\n            \"brandName\": \"Organização A\",\n            \"bacenName\": \"Organização A\",\n            \"compeCode\": \"001\",\n            \"companyCnpj\":\"50685362006773\",\n            \"branchCode\": \"6272\",\n            \"number\": \"94088392\",\n            \"checkDigit\": \"4\",\n            \"subtype\": \"INDIVIDUAL\",\n            \"civilName\": \"Mike\",\n            \"balances\": {\n                \"availableAmount\": {\n                    \"amount\": \"1000.0400\",\n                    \"currency\": \"BRL\"\n                },\n                \"blockedAmount\": {\n                    \"amount\": \"1000.0400\",\n                    \"currency\": \"BRL\"\n                },\n                \"automaticallyInvestedAmount\": {\n                    \"amount\": \"1000.0400\",\n                    \"currency\": \"BRL\"\n                }\n            },\n            \"transactionDetails\": [\n                {\n                    \"transactionDate\": \"2021-01-07\",\n                    \"transactionDateTime\": \"2016-01-29T12:29:03.374Z\",\n                    \"transactionId\": \"TXpRMU9UQTROMWhZV2xSU1FUazJSMDl\",\n                    \"completedAuthorisedPaymentType\": \"TRANSACAO_EFETIVADA\",\n                    \"creditDebitType\": \"DEBITO\",\n                    \"transactionAmount\": {\n                        \"amount\": \"1000.0400\",\n                        \"currency\": \"BRL\"\n                    },\n                    \"transactionName\": \"TRANSFCWAR5TXHCX5I9IDBHML8082N8NEO30M6LNNG7ANAYIJYRM00ZBZPU8\",\n                    \"partieCnpjCpf\": \"12345678909\",\n                    \"partiePersonType\": \"PESSOA_NATURAL\",\n                    \"partieCompeCode\": \"001\",\n                    \"partieBranchCode\": \"6272\",\n                    \"partieNumber\": \"67890854360\",\n                    \"partieCheckDigit\": \"4\",\n                    \"type\": \"PIX\"\n                }\n            ]\n        }\n    ],\n    \"externalInfo\": {\n        \"myTraceId\": \"yourtraceid-1\",\n        \"myUUID\": \"youruuid-1\"\n    }\n}"
      }
    ],
    "selectedLanguageId": "Ouz5x-x9RMkuS4eD5uE4_"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [
      {
        "name": "taxId",
        "kind": "required",
        "type": "string",
        "description": "The CPF of the end-user, for Personal Accounts only",
        "children": []
      },
      {
        "name": "institutionCode",
        "kind": "required",
        "type": "string",
        "description": "Institution identity",
        "children": []
      },
      {
        "name": "linkId",
        "kind": "optional",
        "type": "string",
        "description": "linkId, it returned by the /links",
        "children": []
      },
      {
        "name": "consentIds",
        "kind": "optional",
        "type": "string",
        "description": "consentId list, it returned by the /consents",
        "children": []
      },
      {
        "name": "product",
        "kind": "required",
        "type": "string",
        "description": "Product",
        "children": []
      }
    ],
    "headerParameters": [
      {
        "name": "Authorization",
        "kind": "required",
        "type": "string",
        "description": "Bearer access token, it returned by the /auth",
        "children": []
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Query Parameter",
    "value": "queryParameters"
  }
}
```
:::

## Parameter

### product

- product: [institutional level products](docId\:xkr8lrggFj7YFng1vaYdD)(can only be products within the product range selected by the partner during onboarding);



